> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getsly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# OAuth 2.0 authorization endpoint

> Initiates the OAuth authorization code flow. Redirects user to consent screen.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/ucp/identity/authorize
openapi: 3.1.0
info:
  title: Sly API
  description: >-
    The Agentic Economy Platform — stablecoin payments, agent wallets,
    multi-protocol commerce, and AI agent orchestration.
  version: 1.0.0
  contact:
    name: Sly
    url: https://getsly.ai
    email: support@getsly.ai
servers:
  - url: https://api.getsly.ai/v1
    description: Production
  - url: https://sandbox.getsly.ai/v1
    description: Sandbox
security:
  - bearerAuth: []
paths:
  /v1/ucp/identity/authorize:
    get:
      tags:
        - UCP Identity
      summary: OAuth 2.0 authorization endpoint
      description: >-
        Initiates the OAuth authorization code flow. Redirects user to consent
        screen.
      parameters:
        - schema:
            type: string
          required: true
          name: client_id
          in: query
        - schema:
            type: string
            format: uri
          required: true
          name: redirect_uri
          in: query
        - schema:
            type: string
            enum:
              - code
          required: true
          name: response_type
          in: query
        - schema:
            type: string
          required: true
          name: scope
          in: query
        - schema:
            type: string
          required: false
          name: state
          in: query
      responses:
        '302':
          description: Redirect to consent or back to redirect_uri with code
        '400':
          description: Invalid client / redirect_uri / scope
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/Error'
                  - properties:
                      error:
                        type: string
                      code:
                        type: string
                      details: {}
      security:
        - bearerAuth: []
components:
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
        code:
          type: string
        details: {}
        request_id:
          type: string
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key (pk_test_* or pk_live_*), JWT session, agent token (agent_*),
        Ed25519 session (sess_*), or portal token (portal_*).

````